Types & Categories
Get elemental types, categories, and topics
Type ID
Name
Description
Authorizations
x-api-keystringRequired
API Key authentication. Get your key at snackprompt.com/api-keys.
Example: x-api-key: sk-your-api-key-here
Responses
200Success
No content
401
Unauthorized
application/json
get
/v1/elemental/typesNo content
Authorizations
x-api-keystringRequired
API Key authentication. Get your key at snackprompt.com/api-keys.
Example: x-api-key: sk-your-api-key-here
Path parameters
type_idinteger · enumRequiredPossible values:
The elemental type ID (1=Prompt, 2=Snippet, 3=Document)
Responses
200
List of categories
application/json
codeintegerOptionalExample:
HTTP status code
200responseanyOptional
Response data (varies by endpoint)
401
Unauthorized
404
Type not found
application/json
get
/v1/elemental/type/{type_id}/categoriesAuthorizations
x-api-keystringRequired
API Key authentication. Get your key at snackprompt.com/api-keys.
Example: x-api-key: sk-your-api-key-here
Path parameters
category_idintegerRequired
Category ID
Responses
200
List of topics
application/json
codeintegerOptionalExample:
HTTP status code
200responseanyOptional
Response data (varies by endpoint)
401
Unauthorized
404
Category not found
application/json
get
/v1/elemental/type/category/{category_id}/topicsLast updated
Was this helpful?